<html>
<head>
<title>OGRE: OgreZip.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreZip.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreArchive_8h-source.html">OgreArchive.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreArchiveFactory_8h-source.html">OgreArchiveFactory.h</a>&quot;</code><br>

<p>
<a href="OgreZip_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchive.html">Ogre::ZipArchive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of the <a class="el" href="classOgre_1_1Archive.html" title="Archive-handling class.">Archive</a> class to allow reading of files from a zip format source archive.  <a href="classOgre_1_1ZipArchive.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipArchiveFactory.html">Ogre::ZipArchiveFactory</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1ArchiveFactory.html" title="Abstract factory class, archive codec plugins can register concrete subclasses of...">ArchiveFactory</a> for Zip files.  <a href="classOgre_1_1ZipArchiveFactory.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ZipDataStream.html">Ogre::ZipDataStream</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of <a class="el" href="classOgre_1_1DataStream.html" title="General purpose class used for encapsulating the reading of data.">DataStream</a> to handle streaming data from zip archives.  <a href="classOgre_1_1ZipDataStream.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef struct zzip_dir&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreZip_8h.html#8cee87e0d5584ff66b56196eec9758c4">ZZIP_DIR</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef struct zzip_file&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a></td></tr>

</table>
<hr><h2>Typedef Documentation</h2>
<a class="anchor" name="8cee87e0d5584ff66b56196eec9758c4"></a><!-- doxytag: member="OgreZip.h::ZZIP_DIR" ref="8cee87e0d5584ff66b56196eec9758c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct zzip_dir <a class="el" href="OgreZip_8h.html#8cee87e0d5584ff66b56196eec9758c4">ZZIP_DIR</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00038">38</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="83aee2653632d452e58ac776fde409ea"></a><!-- doxytag: member="OgreZip.h::ZZIP_FILE" ref="83aee2653632d452e58ac776fde409ea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct zzip_file <a class="el" href="OgreZip_8h.html#83aee2653632d452e58ac776fde409ea">ZZIP_FILE</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreZip_8h-source.html#l00039">39</a> of file <a class="el" href="OgreZip_8h-source.html">OgreZip.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
